Skip to main content
GET
/
api
/
v1
/
search-email-leads
/
keywords
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/keywords?api_key=YOUR_API_KEY"
{
  "success": true,
  "message": "Keywords retrieved successfully",
  "data": [
    { "keyword": "marketing" },
    { "keyword": "sales" }
  ]
}
This endpoint requires authentication via API key passed as a query parameter (api_key).

Query Parameters

api_key
string
required
Your SmartLead API key for authentication
limit
string
Number of keywords to return (optional). Default: 100.
offset
string
Number of keywords to skip for pagination (optional). Default: 0.
Search string to filter keywords by name (optional).
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/keywords?api_key=YOUR_API_KEY"

Response Codes

200
Success
Request successful
401
Unauthorized
Unauthorized
500
Internal Server Error
Internal Server Error
{
  "success": true,
  "message": "Keywords retrieved successfully",
  "data": [
    { "keyword": "marketing" },
    { "keyword": "sales" }
  ]
}